### Method

# Vips Region paint

#### Declaration [src]

    void
    vips_region_paint (
      VipsRegion* reg,
      const VipsRect* r,
      int value
    )

#### Description [src]

Paints `value` into `reg` covering rectangle `r`. `r` is clipped against `reg`->valid.

For int images, `value` is passed to `memset()`, so it usually needs to be 0 or 255. For float images, value is cast to a float and copied in to each band element.

`r` is clipped against `reg`->valid.

See also

`vips_region_black()`.

#### Parameters

`r`

  Type: `VipsRect`

  Area to paint.

  The data is owned by the caller of the method.

`value`

  Type: `int`

  Value to paint.